Main Page Groups Namespaces

# sigc::const_reference_wrapper< T_type > Struct Template Reference

Const reference wrapper. More...

List of all members.

## Public Member Functions
| const_reference_wrapper (const T_type& v)
| operator const T_type& () const
## Public Attributes
const T_type& | value_

## Detailed Description

### template <class T_type>
struct sigc::const_reference_wrapper< T_type >

Const reference wrapper.

Use sigc::ref() to create a const reference wrapper.

## Constructor& Destructor Documentation

template <class T_type>

sigc::const_reference_wrapper<T_type>::const_reference_wrapper | ( | const T_type & | v | ) | `[inline, explicit]`

## Member Function Documentation

template <class T_type>

sigc::const_reference_wrapper<T_type>::operator const T_type& | ( |  | ) | const`[inline]`

## Member Data Documentation

template <class T_type>

const T_type& sigc::const_reference_wrapper<T_type>::value_

The documentation for this struct was generated from the following file:

- reference_wrapper.h